SystemOrganization addCategory: #'Cormas-OpenMole'!

Object subclass: #CMOpenMoleExchange
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Cormas-OpenMole'!

!CMOpenMoleExchange commentStamp: 'EtienneDelay 5/30/2018 23:10' prior: 0!
OpenMole is a free and open-source platform. It explores, diagnoses your numerical model and optimizes its dynamics, taking advantage of distributed computing environments. The typical usages are model calibration, model exploration, machine learning, optimization, data processing. 
 You can embed cormas simulation models with openMole workflow. Cormas within openMole use docker. You in order to interact with cormas docker openMole will generate a JSON file with configuration profile. In exchange model results are asked in JSON file to.
 !

!CMOpenMoleExchange class methodsFor: 'accesing' stamp: 'EtienneDelay 5/29/2018 08:21'!
loadJSONFile: theJSONFile
	"OpenMole send a .json file. With this method you can read it. You pass in argument the name of JSON file"

	| wd myData |
	wd := FileSystem disk workingDirectory.
	myData := NeoJSONReader
		fromString: (wd / theJSONFile readStreamDo: [ :stream | stream contents ]).
	^ myData! !

!CMOpenMoleExchange class methodsFor: 'accesing' stamp: 'EtienneDelay 5/29/2018 11:46'!
saveJSONFile: myDictionary
	"OpenMole read  .json file. With this method you can write a JSONfile from a dictonary"

	| wd |
	wd := FileSystem disk workingDirectory.
	(wd / 'out.json') asFileReference
		writeStreamDo: [ :stream | 
			(NeoJSONWriter on: stream)
				prettyPrint: true;
				nextPut: myDictionary ]! !
